#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

# Rules for configuring parameters of check mtr
subgroup_networking =   _("Networking")

register_check_parameters(
	subgroup_applications,
	"mtr",
	_("MTR"),
	#Transform(
	Dictionary(
		help = _("This ruleset can be used to change MTR's warning and crit levels (or to disable them) for packet loss, average roundtrip and standard deviation."),
		elements = [
			("avg",
				Tuple(
					title = _("Average roundtrip time in ms"),
					elements = [
						Integer(title = _("Warning at"), default_value = 150, min_value = 0 ),
						Integer(title = _("Critical at"), default_value = 250, min_value = 0 ),
						],
					help = _("You can set the maximum average roundtrip time in ms before this service goes into warning/critical. Set to 0 to disable. This alarm only applies to the target host, not the hops in between."),
					),
				),
			("stddev",
				Tuple(
					title = _("Standard deviation of roundtrip times in ms"),
					elements = [
						Integer(title = _("Warning at"), default_value = 150, min_value = 0 ),
						Integer(title = _("Critical at"), default_value = 250, min_value = 0 ),
						],
					help = _("You can set the maximum standard deviation on the roundtrip time in ms before this service goes into warning/critical. Set to 0 to disable. This alarm only applies to the target host, not the hops in between."),
					),
				),
			("loss",
				Tuple(
					title = _("Packet loss in percentage"),
					elements = [
						Integer(title = _("Warning at"), default_value = 10, min_value = 0 ),
						Integer(title = _("Critical at"), default_value = 25, min_value = 0 ),
						],
					help = _("You can set the maximum allowed percentage of packet loss to the destination before this service goes into warning/critical. Set to 0 to disable."),
					),
				),
			],
		optional_keys = False,
	),
	TextAscii(
		title = _("MTR destination"),
		help = _("Specify the name of the destination host, i.e. <tt>www.google.com</tt>"),
		allow_empty = False
	),
	'dict'
)
